#ifndef _MODEMAP
#define _MODEMAP

int PioneerStart();
int PioneerStop();
void Rescue(double, double, double, double);

extern double range;				// Distance to travel before searching
extern double distanceTraveled;		// Used to determine if robot has traveled
									// distance specified by 'range'.

extern int mode;					// mode = 1: Follow right wall
									// mode = 2: To be determined

extern double turnThreshold;		// Ideal distance from right wall to keep robot.
extern double rightNearLimit;		// How close robot can get to right wall
extern double rightFarLimit;		// How far robot can get from the right wall

extern double leftRange;			// Distance from left object / wall
extern double rightRange;			// Distance from right object / wall

extern double checkTurnLeftDist;	// Used to determine if robot is really
									// getting farther away from right wall.
extern double checkTurnRightDist;	// Used to determine if robot is really
									// getting closer to the right wall.

extern double frontRange;			// Distance from object / wall in front

extern double speed;				// Standard speed of robot

extern double sonar0, sonar1, sonar2, sonar3, sonar4, sonar5, sonar6, sonar7;
extern double delaySonar;			// Delays the amount of sonar recorded to 
									// the txt file.

extern double myDegrees;			// Stores compass data
extern double oldDegrees;			// Saves old compass data to compare

extern double oldX;					//last location of X
extern double oldY;					//last location of Y
extern double newX;					//Current location of X
extern double newY;					//Current location of Y
extern double changeDegrees;		//Records change in degrees
extern double pi;

extern double can;					//0=no can, 1=can found
extern double canDistance;			//Distance to the can from robot
extern double canAngle;				//Angle the robot needs to turn to face the can
extern double canDirection;			//1=left, 2=directly in front, 3=right half of the robot's sight

#endif
